/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.entity.main.TfmProperty;
import com.crunii.micro.domain.entity.main.TfmPropertyValue;
import com.crunii.micro.service.sysmgr.dto.fm.*;

import java.util.List;

/**
 * @author 田平 create 2019年2月20日下午4:03:19
 */
public interface FmPropertyService {

	public List<TfmPropertyValue> getValuesByCode(String propCode);

	public PageRsp<TfmPropertyValue> pageValue(PageReq<FmValueReq> req);

	public PageRsp<TfmProperty> pageProperty(PageReq<FmPropertyReq> req);

	public void createProperty(FmPropertyC propertyC);

	public void updateProperty(FmPropertyU propertyU);

	public void createValue(FmValueC propertyValueC);

	public void updateValue(FmValueU propertyValueU);
}
